## org.apache.batik.transcoder.svg2svg
Class OutputManager.AttributeInfo

    java.lang.Object
      org.apache.batik.transcoder.svg2svg.OutputManager.AttributeInfo

Enclosing class:
  OutputManager

public static class OutputManager.AttributeInfo
extends java.lang.Object

To store the informations about an attribute.

Field Summary
`char` `delimiter` The attribute value delimiter.
`boolean` `entityReferences` Whether the attribute value contains entity references.
`char[]` `name` The attribute name.
`char[]` `space` The space before the name.
`char[]` `space1` The space before '='.
`char[]` `space2` The space after '='.
`java.lang.String` `value` The attribute value.

Constructor Summary
`OutputManager.AttributeInfo(char[] sp, char[] n, char[] sp1, char[] sp2, java.lang.String val, char delim, boolean entity)` Creates a new AttributeInfo.

Method Summary
`boolean` `isAttribute(java.lang.String s)` Tells whether the name of the attribute represented by this class equals the given string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### space

    public char[] space

  The space before the name.

### name

    public char[] name

  The attribute name.

### space1

    public char[] space1

  The space before '='.

### space2

    public char[] space2

  The space after '='.

### value

    public java.lang.String value

  The attribute value.

### delimiter

    public char delimiter

  The attribute value delimiter.

### entityReferences

    public boolean entityReferences

  Whether the attribute value contains entity references.

Constructor Detail

### OutputManager.AttributeInfo

    public OutputManager.AttributeInfo(char[] sp,
                                       char[] n,
                                       char[] sp1,
                                       char[] sp2,
                                       java.lang.String val,
                                       char delim,
                                       boolean entity)

  Creates a new AttributeInfo.

Method Detail

### isAttribute

    public boolean isAttribute(java.lang.String s)

  Tells whether the name of the attribute represented by this class equals the given string.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.